> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goenhance.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Image Face Swap API

> Instantly swap faces in images with our advanced AI technology. Create high-quality transformations for content creation with GoEnhanceAI's powerful face swap API.



## OpenAPI

````yaml POST /api/v1/imagefaceswap/generate
openapi: 3.1.0
info:
  title: GoEnhance API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.goenhance.ai
security:
  - bearerAuth: []
tags:
  - name: Basic
  - name: Video2Video
paths:
  /api/v1/imagefaceswap/generate:
    post:
      tags: []
      summary: Generate Image Face Swap
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: '{{Authorization}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                args:
                  type: object
                  properties:
                    reference_img:
                      type: string
                      description: target image, Max 5M
                    source_img:
                      type: string
                      description: face image, Max 5M
                  required:
                    - reference_img
                    - source_img
                type:
                  type: string
              required:
                - args
                - type
            example:
              args:
                reference_img: >-
                  https://cdn.goenhance.ai/user/goenhance/76115ad445ce26fbd5ad2c649a29e806.jpg
                source_img: >-
                  https://cdn.goenhance.ai/user/goenhance/72ca459817135553959ad72ade516802.jpg
              type: mx-image-face-swap
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      img_uuid:
                        type: string
                    required:
                      - img_uuid
                required:
                  - code
                  - msg
                  - data
              example:
                code: 0
                msg: Success
                data:
                  img_uuid: c12b656c-747a-44fd-9c80-add79b0c52d5
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 401
                msg: Token Error
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 500
                msg: ''
          headers: {}
      deprecated: false
      security: []
components: {}

````